<template>
  <div class='container'>
    <div class='cloud-plans'>
      <ul class="security-tabs__header">
        <li
          key="0"
          :class='{"tab__selected": (0 === selectedIndex)}'
          @click="selectTab(0)"
        >
          X CLOUD
        </li>
        <li
          key="1"
          :class='{"tab__selected": (1 === selectedIndex)}'
          @click="selectTab(1)"
        >
          INDIVIDUAL
        </li>
      </ul>
      <div class='cloud-plans__tab tab'>
        <div class='tab__content'>
          <p v-show='selectedIndex === 0' class='base-title'>X Cloud</p>
          <p v-show='selectedIndex === 1' class='base-title'>Individual</p>
          <div class='tab__list'>
            <div :key='index' class='tab__list-item list-item' v-for='(item, index) in discoverLIst'>
              <p class='list-item__name'>{{ item.name }}</p>
              <p class='list-item__text'>{{ item.text }}</p>
            </div>
          </div>
          <div class='tab__actions'>
            <base-button shaded @click.native='showFeedbackForm(true)'>
              Apply It
            </base-button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },
  data() {
    return {
      selectedIndex: 0,
      discoverLIst: [
        {
          name: 'Placing orders (market, limit)',
          text: 'Ability to specify additional. Take profit, stop loss and trailing stop parameters.'
        },
        {
          name: 'Referral Program',
          text: 'A referral program is a word-of-mouth marketing tactic that encourages customers to advocate on behalf of your.'
        },
        {
          name: 'Deposit / Withdrawal of funds',
          text: 'BTC, LTC, BCH, ETH + ERC20 Tokens, BIP + Tokens, WAVES + Tokens.'
        },
        {
          name: 'Market review',
          text: 'Stay tuned for insights on hot topics and latest trends in the financial market via the Weekly commentary'
        },
        {
          name: 'Google 2FA two-factor authentication',
          text: 'One-time password system for withdrawing funds'
        },
        {
          name: 'Ticket system',
          text: 'A ticketing system is a software program that a customer support team.'
        },
        {
          name: 'Margin Trading',
          text: 'Opportunity for a trader to participate in the provision of credit funds to form leverage'
        },
        {
          name: 'Exchange API',
          text: 'Obtain real-time, accurate and reliable currency exchange rate data for hundreds of worldwide currencies'
        },
      ]
    }
  },
  methods: {
      ...mapActions({
        showFeedbackForm: 'toggleShowFeedbackForm'
      }),

    selectTab (i) {
      this.selectedIndex = i
    }
  }
}
</script>

<style lang='scss' scoped>
.container {
  @media(max-width: 767px) {
    padding: 0;
  }
}

.cloud-plans {
  background: #0E1B4E;
  border-radius: 36px;
  padding: 42px 0 60px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 120px;

  @media(max-width: 767px) {
    border-radius: 0;
    padding: 32px 0;
    margin-bottom: 40px;
  }

  &__tab {
    display: flex;
    width: 100%;
  }
}

.tab {
  @media(max-width: 767px) {
    flex-direction: column;
    align-items: center;
  }

  &__content {
    flex: 0 0 100%;
    max-width: 100%;
    width: 100%;
  }

  &__content {
    padding: 0 95px;
    position: relative;

    @media(max-width: 1023px) {
      padding: 0 35px;
    }

    @media(max-width: 767px) {
      padding: 0 23px;
    }
  }

  &__list {
    width: 100%;
    display: flex;
    flex-wrap: wrap;

    @media(max-width: 767px) {
      max-width: unset;
    }
  }

  &__actions {
    margin-top: 40px;
    width: 100%;
    background: linear-gradient(180deg, rgba(14, 27, 78, 0) 0%, #0E1B4E 100%);
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

.list-item {
  padding-right: 55px;
  flex: 0 0 50%;
  max-width: 50%;

  &:not(:nth-last-child(-n+2)) {
    margin-bottom: 47px;
  }

  &:nth-child(even) {
    padding-left: 55px;
    padding-right: 0;
    .list-item__text {
      max-width: 393px;
    }
  }

  p {
    padding-left: 31px;
  }

  &__name {
    font-size: 18px;
    color: white;
    margin: 0 0 15px;
    position: relative;

    @media(max-width: 767px) {
      font-size: 16px;
    }

    &::before {
      content: '';
      position: absolute;
      width: 15px;
      height: 12px;
      background-image: url("../../assets/img/hub/discover-check.svg");
      background-position: center;
      background-repeat: no-repeat;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
    }
  }

  &__text {
    font-size: 14px;
    line-height: 22px;
    color: #6983AB;
    max-width: 348px;
    margin: 0;
  }

}

.base-title {
  font-weight: 500;
  font-size: 36px;
  margin: 0 0 40px;
}

ul.security-tabs__header {
  display: flex;
  list-style: none;
  margin: 0 0 40px;
  padding:0;
  justify-content: flex-start;
  z-index: 1;
  max-width: 540px;
  width: 100%;

  @media(max-width: 767px) {
    max-width: unset;
    margin-bottom: 0;
  }
}

.security-tabs__header {
  li {
    padding: 0 0 20px;
    margin: 0;
    text-align: center;
    cursor: pointer;
    width: 50%;
    color: #FFFFFF99;
    font-size: 20px;
    font-weight: 500;
    position: relative;
    text-transform: uppercase;
    z-index: 1;

    @media(max-width: 767px) {
      font-size: 16px;
      line-height: 16px;
      padding: 0 0 25px;
      border-bottom: 2px solid #2B3764;
    }

    &::before {
      content: "";
      position: absolute;
      bottom: -2px;
      background:  #2B3764;
      z-index: -1;
      height: 2px;
      left: 0;
      width: 100%;
    }
  }
}

li.tab__selected {
  color: #ffffff;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    bottom: -2px;
    z-index: -1;
    height: 2px;
    left: 0;
    width: 100%;
    background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);

    @media(max-width: 767px) {
      z-index: 2;
      width: 85%;
    }
  }
}

li.tab__selected:first-child {
  @media(max-width: 767px) {
    &:before {
      right: 0;
      left: unset;
    }
  }
}

</style>
